summaryrefslogtreecommitdiff
path: root/update_system.sh
diff options
context:
space:
mode:
authorMerlin Scholz <merlin@scholz.ruhr>2023-02-07 20:44:30 +0000
committerMerlin Scholz <merlin@scholz.ruhr>2023-02-07 20:44:30 +0000
commit6f27ae312dcfb66eb1e38d2c63059dcdacaca2a1 (patch)
treee6f0ef3ca2fe5745f3fd8f68618deb7bcc87f342 /update_system.sh
parent581e25b0c29a3c4db7a4118648c2c9fd19847258 (diff)
Implement lockdoc_test kernel module; hook run-bench.sh in/etc/rc; add network drivers to LOCKDOC configlockdoc-9.3-0.1
Diffstat (limited to 'update_system.sh')
-rwxr-xr-xupdate_system.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/update_system.sh b/update_system.sh
new file mode 100755
index 00000000000..0afaa6bf52c
--- /dev/null
+++ b/update_system.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -xeu
+
+NETBSD_IP=10.0.20.246
+
+./build.sh -U -O ./obj -j$(nproc) -m i386 -a i386 -u build kernel=LOCKDOC
+scp etc/rc root@$NETBSD_IP:/etc/rc
+scp obj/sys/arch/i386/compile/LOCKDOC/netbsd root@$NETBSD_IP:/netbsd